std::filesystem::path::iterator(3cxx)

NAME
std::filesystem::path::iterator - An iterator for the components of a path.

SYNOPSIS

#include <fs_path.h>

  Public Types

using difference_type = std::ptrdiff_t
using iterator_category = std::bidirectional_iterator_tag
using pointer = const path *
using reference = const path &
using value_type = path

  Public Member Functions

iterator (const iterator &)=default
reference operator* () const
iterator & operator++ ()
iterator operator++ (int)
iterator & operator-- ()
iterator operator-- (int)
pointer operator-> () const
iterator & operator= (const iterator &)=default

  Friends

void __path_iter_advance (iterator &__i, difference_type __n)
difference_type __path_iter_distance (const iterator &__first, const iterator &__last)
bool operator!= (const iterator &__lhs, const iterator &__rhs)
bool operator== (const iterator &__lhs, const iterator &__rhs)
class path

Detailed Description

An iterator for the components of a path.

Author

Generated automatically by Doxygen for libstdc++ from the source code.